@media (min-width: 576px) {
  .container {
    max-width: 540px;
  }
}

@media (min-width: 768px) {
  .container {
    max-width: 720px;
  }
}

@media (min-width: 992px) {
  .container {
    max-width: 960px;
  }
}

@media (min-width: 1190px) {
  .container {
    max-width: 1120px;
  }
}

@media (min-width: 1270px) {
  .container {
    max-width: 1200px;
  }
}

/* ---------------- min-height: 1270px ------------------------- */

@media screen and (min-width: 1270px) {
  .sn3__item_title-container {
    width: 570px;
    height: 356px;
  }
  .sn9 {
    min-height: 1000px;
  }
}
@media screen and (max-width: 1269px) {
  .sn3__item_title-container {
    margin-bottom: 50px;
  }
}

@media screen and (min-height: 900px) {
  .sn1 {
    height: calc(100vh - 80px);
  }
}
@media screen and (max-height: 600px) {
  .sn1 {
    /* height: 100%; */
  }
}

/* ---------------- min-width: 1190px ------------------------- */

@media screen and (min-width: 1190px) {
  .sn4__prod-items {
    max-width: calc((240px * 4) + (70px * 3));
    justify-content: space-between;
  }
}

@media screen and (max-width: 1189px) {
  .table-x__row-body {
    font-size: 16px;
  }
  .table-x__row .col-x-col1 {
    width: 150px;
  }
}

/* ---------------- max-width: 992px -------------------------- */

@media screen and (max-width: 992px) {
  .head-top__address {
    display: none;
  }
  .container-room {
    flex-direction: column;
  }
  .container-room .swiper-slide {
    height: clamp(300px, 50vw, 460px);
  }

  .form-body-room {
    max-width: 100%;
  }
  .table-x {
    width: 970px;
  }
  .table-inner {
    overflow-x: scroll;
    overflow-y: visible;
    min-width: 160px;
    max-width: 972px;
    margin-left: 130px;
  }
  .table-x__row-corpus {
    display: none;
  }
  .table-x__row-header div {
    border-left: none;
  }
  .table-x__row-header {
    height: 70px;
  }
  .xs-flex-center {
    display: flex;
    align-items: center;
    align-content: center;
    /* justify-content: center; */
    height: 100%;
  }
  .table-x__row .col-x-col1 {
    height: 70px;
  }

  .col-x:first-child {
    position: absolute;
    left: 0;
    /* box-shadow: 14px 0px 15px -15px rgba(0, 0, 0, 0.25); */
  }
  .table-x__row .col-x {
    /* padding: 0; */
  }
}

/* ---------------- max-width: 768px -------------------------- */

@media screen and (max-width: 768px) {
  .head-top__location,
  .head-top__phone {
    display: none;
  }
  .head-top_fixed {
    width: 100vw;
  }
  .sn__items_flex-center {
    gap: 60px;
    flex-wrap: wrap;
  }
  .sn1__offer-body {
    text-align: center;
    padding: 0 10px 0 10px;
  }
  .sn1__cpa {
    margin-top: 40px;
    flex-direction: column;
    align-items: center;
  }
  .ya-maps-icon img {
    margin: 0;
  }
  /*.ya-maps-icon {
    background: url('../img/ya_maps.svg') no-repeat top center;
    background-size: cover;
    width: clamp(108px, 5vh, 144px);
    height: clamp(58px, 5vh, 100px);
  }*/
  .sn__items_flex-center {
    flex-wrap: wrap;
  }
  .reviews__count {
    display: none;
  }

  /* ---------------- max-width: 576px -------------------------- */
  @media screen and (max-height: 576px) {
    .ya-maps-icon {
      display: none;
    }
    .sn1 {
      height: calc(100vh - 80px);
    }
  }
  @media screen and (max-width: 576px) {
    :root {
      --title_size: 36px;
      --2XL: 22px;
      --XL: 24px;
      --SL: 20px;
      --M: 20px;
    }
    .head-top__address,
    .head-top__email,
    .head-top__phone {
      display: none;
    }
    .head-top__body {
      /*height: 90px;*/
    }
    .pt-pb {
      padding: 80px 0;
    }
    .sn1__h1-title {
      /*font-size: calc(34px + (60 - 34) * ((100vw - 375px) / (576 - 375)));*/
    }
    .sn1__subtitle {
      /*font-size: calc(28px + (38 - 28) * ((100vw - 375px) / (576 - 375)));*/
    }
    .sn1__offer-body {
      width: auto;
      padding: 0 min(5%, 50px) 0 min(5%, 50px);
    }
    .sn1__cpa {
      gap: 20px;
    }

    .ya-maps-icon {
      margin: 10px 0 0 0;
    }
    .d-sm-none {
      display: none !important;
    }
    .d-sm-flex {
      display: flex !important;
    }
    .flex-sm-row {
      flex-direction: row !important;
    }
    .flex-sm-column {
      flex-direction: column !important;
    }
    .flex-sm-wrap {
      flex-wrap: wrap !important;
    }
    .flex-sm-nowrap {
      flex-wrap: nowrap !important;
    }
    .head-list {
      display: flex;
      flex-direction: column;
    }
    .container-room .swiper-slide {
      height: clamp(250px, 60vw, 350px) !important;
    }
  }

  @media screen and (max-width: 480px) {
    a.nav__link {
      font-size: 20px;
    }
    .sn_padding_small {
      margin-top: 60px;
    }
    #pop-up {
      width: auto;
    }
    .sn1 {
      background: url("../img/sn1_bg_480.jpg") no-repeat center center;
      /* background-attachment: fixed; */
      background-size: cover;
    }
    .room-name__square {
      font-weight: 300;
      margin-left: 10px;
    }
    .room-card__price {
      position: absolute;
      top: clamp(77.5%, 1vw, 78%);
      left: clamp(58%, 10vw, 63%);
      font-size: 32px;
    }
    .sn6__icon3 {
      background: url("../img/sn6_icon3.svg") no-repeat bottom center;
      /* background-size: 60%; */
    }
    .sn6__desc-title {
      font-size: 26px;
    }
    .container-room {
      flex-direction: column;
    }
    .room-card__footer {
      flex-direction: column;
      gap: 20px;
    }
    .room-card-overley {
      padding: clamp(10px, 5vw, 30px);
    }
    .room-price__namber {
      font-size: clamp(0.83em, 7vw, 1em);
    }
    .reviews__top {
      justify-content: center;
      flex-direction: column-reverse;
      align-items: center;
      gap: 20px;
    }
  }
  @media screen and (max-width: 375px) {
    .nav {
      padding-top: 0px;
    }
    .nav-container {
      max-height: 85vh;
    }
    .room-card__head {
      flex-direction: column;
      gap: 20px;
    }
    .room-card__price {
      position: relative;
      top: 0;
      left: 0;
    }
    .btn_size_m {
      width: 100%;
    }
    .container-room .swiper-slide {
      height: 250px !important;
    }
  }
  @media screen and (max-width: 320px) {
  }
}
